<?php

/**
 * @file
 * Integration of Services module for Ubercart
 */

/**
 *
 */
function uc_services_getorder($orderid) {
  $order = uc_order_load($orderid);
  
  return $order;
}

/**
 * Get a full order stored in Ubercart
 */
function uc_services_getorderstatus($orderid) {
  $order = uc_order_load($orderid);
  return $order->order_status;
}

/**
 * Get all order ID's stored in Ubercart
 */
function uc_services_getallorders($fullorder = FALSE) {
  $orders = array();
  $dborders = db_query('SELECT order_id FROM {uc_orders}');
  
  while ($dborder = db_fetch_object($dborders)) {
  	if ($fullorder) {
  	  $orders[] = uc_order_load($dborder->order_id);
  	}
  	else {
  	  $orders[] = $dborder->order_id;
  	}
  }
  
  return $orders;
}

/**
 * Get all orders between start and end. Leave 2nd parameter blank for now
 */
function uc_services_getallorderbetween($starttime, $endtime = null, $fullorder = FALSE) {
  if (is_null($endtime)) {
    $endtime = time();
  }
  
  $orders = array();
  $dborders = db_query('SELECT order_id FROM {uc_orders} WHERE created >= %d AND created <= %d', $startime, $endtime);
  
  while ($dborder = db_fetch_object($dborders)) {
  	if ($fullorder) {
  	  $orders[] = uc_order_load($dborder->order_id);
  	}
  	else {
      $orders[] = $dborder->order_id;
  	}
  }
  
  return $orders;
}
?>